aboutsummaryrefslogtreecommitdiff
path: root/yoga/bin/toggle-dp-brightness
diff options
context:
space:
mode:
Diffstat (limited to 'yoga/bin/toggle-dp-brightness')
-rwxr-xr-xyoga/bin/toggle-dp-brightness11
1 files changed, 11 insertions, 0 deletions
diff --git a/yoga/bin/toggle-dp-brightness b/yoga/bin/toggle-dp-brightness
new file mode 100755
index 0000000..e92eaff
--- /dev/null
+++ b/yoga/bin/toggle-dp-brightness
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+EXTERNAL="$(xrandr | grep 'DisplayPort.* connected' | cut -d' ' -f1)"
+[ -z "$EXTERNAL" ] && exit 1
+
+BRIGHTNESS="$(xrandr --verbose | grep -A5 "$EXTERNAL" | grep Brightness | cut -d':' -f2)"
+if [ "$BRIGHTNESS" == " 1.0" ]; then
+ xrandr --output $EXTERNAL --brightness 0
+else
+ xrandr --output $EXTERNAL --brightness 1
+fi